> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get booking availability

> Get available dates and times to make a booking



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml get /v1/organisations/{organisationId}/bookings/availability
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/bookings/availability:
    get:
      tags:
        - Booking
      summary: Get booking availability
      description: Get available dates and times to make a booking
      operationId: BookingAvailabilityController_getBookingAvailability
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
        - name: providerId
          required: false
          in: query
          description: >-
            If not supplied, then all providers for the location/appointment
            type will be queried for availability
          schema:
            type: string
        - name: locationId
          required: true
          in: query
          schema:
            type: string
        - name: appointmentTypeId
          required: true
          in: query
          schema:
            type: string
        - name: searchDateMin
          required: true
          in: query
          schema:
            format: date-time
            type: string
        - name: searchDateMax
          required: true
          in: query
          schema:
            format: date-time
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BookingAvailability'
components:
  schemas:
    BookingAvailability:
      type: object
      properties:
        timeslots:
          type: array
          items:
            $ref: '#/components/schemas/BookingAvailabilityTimeslot'
      required:
        - timeslots
    BookingAvailabilityTimeslot:
      type: object
      properties:
        providers:
          description: The IDs of the providers that are available at this time
          example:
            - '1'
            - '2'
            - '3'
          type: array
          items:
            type: string
        appointmentTime:
          format: date-time
          type: string
      required:
        - providers
        - appointmentTime

````